Supported sensor IDs

Sensor IDSensor Value - Data TypeNotes
tbsAmberLightBoolean
tbsRedLightBoolean
tbsPoweredBooleantrue if the ebs/abs is powered. False otherwise
brakeLiningOkBooleantrue when brake lining is ok for all wheels; false when at least one wheel has brake lining below the threshold
fuelIntegerThe Fuel Level that the truck has at the time of the message. It is expressed in percentage.
tfuDoubleThe Total Fuel Used of the truck, expressed in Liters
supplyVoltageDoubleAllowed values: 0-32. Measured in Volts
mileageDoubleOdometer reading, expressed in km
fuelRemainingDistanceDouble
gnssSpeedIntegerSpeed of the asset detected using gnss connection, expressed in km/h
wheelSpeedIntegerSpeed of the asset detected using wheel information (for example from ebs), expressed in km/h
axleLoadIntegerAggregated load of all axles. Value is expressed in Kg with no decimal digits
tirePressureDataType: LocationValueDouble
{
"location": <int>,
"value": <double>
}

See

Wheel Location Logic

for an explanation about the location value; Pressure is expressed in kPa with at most one decimal digit

tireTemperatureDataType: LocationValueInteger
{
"location": <int>,
"value": <int>
}

See

Wheel Location Logic

for an explanation about the location value;
Temperature is expressed in Celsius degrees

tirePressureStatusDataType: LocationValueString
{
"location": <int>,
"value": <string>
}

See

Wheel Location Logic

for an explanation about the location value
See

Pressure Threshold Status Enum Values

, for the list of possible values for the tire_pressureStatus.value property

reeferLoggerTemperatureDataType: LocationValueDouble
{
"location": <int>,
"value": <double>
}
Temperature is expressed in Celsius degrees, with at most a decimal digit
reeferLoggerHumidityDataType: LocationValueInteger
{
"location": <int>,
"value": <int>
}
percentage of the logger humidity. Allowed values are from 0 to 100.
reeferDigitalInputDataType: LocationValueBoolean
{
"location": <int>,
"value": <bool>
}
positionDataType: Position
{
longitude: <double>,
latitude: <double>,
validity: <bool>
}
headingInteger
satCountInteger
reeferTotalHoursInteger
reeferEngineHoursInteger
reeferElectricHoursInteger
reeferSupplyVoltageDoubleValue from 0 to 100, with at most one decimal digit
reeferFuelIntegerallowed values are from 0 to 100.
reeferPowerModeString

See

Power Mode values

values for list of allowed values

reeferOperatingModeString

See

Reefer Operating Mode Values

for list of allowed values

reeferReeferOnBoolean
reeferEvaporatorTemperatureDouble
reeferAmbientTemperatureDouble
reeferCompartmentSetPointDataType: LocationValueDouble
{
"location": <int>,
"value": <double>
}
reeferCompartmentReturnAirDataType: LocationValueDouble
{
"location": <int>,
"value": <double>
}
reeferCompartmentSupplyAirDataType: LocationValueDouble
{
"location": <int>,
"value": <double>
}
reeferCompartmentModeDataType: LocationValueString
{
"location": <int>,
"value": <string>
}

See

Operating Mode Values For Each Zone

for allowed values that will return for the value property of this object

reeferCompartmentSpeedModeDataType: LocationValueBoolean
{
"location": <int>, "value": <bool>}
reeferCompartmentHumidityDataType: LocationValueInteger
{
"location": <int>, "value": <int>
}
Allowed values are from 0 to 100.
evRemainingChargeIntegerNumber from 0 (empty) to 100 (full)
evRemainingDistanceDouble
evChargingStatusString

See

Propulsion Charging Status Values

for allowed values that will return for the value property of this object

evChargingSpeedDouble
evTotalEnergyConsumptionDouble
evBatteryTemperatureDouble
evAmbientTemperatureDouble
ignitionStateBoolean
reeferCompartmentEvaporatorTemperatureDataType: LocationValueDouble
{
"location": <int>, "value": <double>
}
reeferSpeedModeBoolean
linTemperatureDataType: LocationValueDouble
{
"location": <int>, "value": <double>
}
linContactDataType: LocationValueBoolean
{
"location": <int>, "value": <bool>
}
externalPowerAvailableBoolean
tbsAvailableBoolean
tbsSuppliedVoltageInteger
reeferAvailableBoolean
reeferSuppliedVoltageInteger
batteryPackAvailableBoolean
batteryPackStateString

See

Battery Pack Charging State Values

for allowed values that will return for the value property of this object

batteryPackNotChargingReasonString

See

Battery Pack Not Charging Reason Values

for allowed values that will return for the value property of this object

batteryPackLevelString

See

Battery Pack Level Values

for allowed values that will return for the value property of this object

batteryPackSuppliedVoltageInteger

Location/Zones

In some sensors, the location property inside the sensorValue object defines the location or zone of the sensor for the specific measurement.
For Example, in the tpms_temperature sensor, it indicates the location of the tire.
For further details, see Wheel Location Logic
It is possible to query the temperature of all the tires by using “tpms_temperature” in the sensor ID query parameter. It is also possible to request the temperature of a specific wheel. For example, to get the temperature of the first wheel on the left of axis 1, you can use "tire_temperature_17". For a mapping of the wheels with the number, see the paragraph Wheel Location Logic. This logic is applied for the following sensors:

  • tirePressure
  • tireTemperature
  • tirePressureStatus

The zone location is more straightforward and it refers to the actual zone with the same number. For example, if in the reeferLoggerTemperature object the location is 2, it means that it refers to the reefer temperature collected from zone 2 of the reefer.
Also, in this case it is possible to query a specific zone by using reeferLoggerTemperature <n>, where <n> is the zone we are interested. This logic applies for:

  • reeferLoggerTemperature
  • reeferDigitalInput

Wheel Location Logic

The wheels are calculated from the mid-point 8, that means there is no wheel number 8. All the wheels will go from 0-7 or 9-F (15 in hexadecimal).
Also, the number of the wheel location also start from the mid-point, decreasing when on the left of mid-point and increasing when on the right.
That means, when we have one wheel on the left it will have the number 7, if we add a second wheel in the same axle on the left side it will have the number 6 and so on.
When we have one wheel on the right it will have the number 9, if we add a second wheel in the same axle on the right side it will have the number A (10) and so on.
The following diagrams should help in understanding the Scalar format for wheel location.

Examples

from integer to wheel position

  • Decimal = 39; hex = 27 ==> axle 2, first wheel to the left
  • Decimal = 41; hex = 29 ==> axle 2, first wheel to the right
  • Decimal = 54; hex = 36 ==> axle 3, second wheel to the left
  • Decimal = 58; hex = 3A ==> axle 3, second wheel to the right

from wheel position to integer

  • axle 1, third wheel to the left = 21. In hexadecimal it is 15 (1 stands for axle 1 and 5 stands for third wheel, considering the first one has number 7, the second one has number 6 and so on). Converting 15 from hex to dec, we obtain 21
  • axle 5, fifth wheel to the left = 83. Converting the position in hexadecimal we have 5 as first digit due to the axle 5; then we have 3 as second digit by considering the part in bold: 7 = wheel 1; 6 = wheel 2; 5 = wheel 3; 4 = wheel 4; 3 = wheel 5; 2 = wheel 6; 1 = wheel 7; = wheel 8. Then, by converting 53 from hex to dec, we obtain 83
  • axle 1, fourth wheel to the right. The value is 28. We take 1 as first digit for the axle; then we take C because is the fourth wheel (9= wheel 1; A = wheel 2; B = wheel 3; C = wheel 4; D = wheel 5; E = wheel 6; F = wheel 7). Then, converting 1C from hex to dec, we obtain 28
  • axle 4, first wheel to the right. 49 is the hexadecimal representation (4 for axle 4 and 9 for wheel 1 to the right). Converting it to decimal we obtain 73

Value Mapping

Some properties contains a value as string which is mapped to an enumerator. In this section we document all the enumeration used by the sensor module

Pressure Threshold Status Enum Values

  • extremeOverPressure
  • overPressure
  • normal
  • underPressure
  • extremeUnderPressure

Power Mode Values

  • invalid
  • diesel
  • electric

Operating Mode Values For Each Zone

  • invalid
  • powerOff
  • cooling
  • heating
  • defrost
  • pretrip
  • irregularShutdown
  • compulsoryShutdown
  • thermostatOff
  • sleep

Reefer Operating Mode Values

  • invalid
  • cycleSentry
  • continuous

Propulsion Charging Status Values

  • notCharging
  • charging
  • unknown

Battery Pack Charging State Values

  • notCharging
  • charging
  • fullyCharged

Battery Pack Not Charging Reason Values

  • noPower
  • temperatureIssue
  • error

Battery Pack Level Values

  • critical
  • low
  • medium
  • high
  • full